Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1576930 - mate-panel high memory usage
Summary: mate-panel high memory usage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-panel
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-10 18:51 UTC by Prarit Bhargava
Modified: 2018-08-21 14:33 UTC (History)
4 users (show)

Fixed In Version: mate-panel-1.20.1-6.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-28 16:26:08 UTC
Type: Bug


Attachments (Terms of Use)

Description Prarit Bhargava 2018-05-10 18:51:49 UTC
Description of problem:  After about 4 days opening any application on mate-panel fails with "failed to fork (cannot allocate memory)" window.


Version-Release number of selected component (if applicable):


How reproducible: mate-panel-1.20.1-5.fc27.x86_64, on a fully up-to-date F27 installation.


Steps to Reproduce: Unknown.  I have hit this 3 times in the past 12 days.  I am using mate as my desktop.  I am not doing anything unusual on the system.

Actual results:  mate-panel consumes 9G of memory.  From top,

  PID USER      PR  NI    VIRT    RES    SHR S  %CPU %MEM     TIME+ COMMAND    
 2203 prarit    20   0 12.974g 0.012t  26800 S   5.3 44.5  85:28.51 mate-panel 

Expected results: mate should not consume this much memory.


Additional info:  I plan to restart my desktop in the AM.  If you have any suggestions for debugging please let me know.

Thanks,

P.

Comment 1 Wolfgang Ulbrich 2018-05-10 19:01:30 UTC
Do you use windows-applets via wine in na-tray?
See https://bugzilla.redhat.com/show_bug.cgi?id=1575091

Comment 2 Wolfgang Ulbrich 2018-05-10 19:09:39 UTC
Can you please test if this build fixes the issue?
Follow links to you arch and download needed rpms.
https://koji.fedoraproject.org/koji/taskinfo?taskID=26851768

Comment 3 Prarit Bhargava 2018-05-10 23:18:48 UTC
(In reply to Wolfgang Ulbrich from comment #1)
> Do you use windows-applets via wine in na-tray?
> See https://bugzilla.redhat.com/show_bug.cgi?id=1575091

Nope, not using wine.  BUT ... I'm using tigervnc!  That's an interesting commonality between the two bugs.

P.

Comment 4 Prarit Bhargava 2018-05-10 23:19:41 UTC
(In reply to Wolfgang Ulbrich from comment #2)
> Can you please test if this build fixes the issue?
> Follow links to you arch and download needed rpms.
> https://koji.fedoraproject.org/koji/taskinfo?taskID=26851768

I will install it now.  It takes about 4 days to reproduce the bug, so I will respond back next week.

P.

Comment 6 Prarit Bhargava 2018-05-14 11:41:22 UTC
The build in  https://bugzilla.redhat.com/show_bug.cgi?id=1576930#c2 works AFAICT.  mate-panel has very low memory usage:

2196 prarit    20   0  749068  73236  22052 S   0.0  0.3   0:14.88 mate-panel

P.

Comment 7 Fedora Update System 2018-05-20 18:20:29 UTC
mate-panel-1.20.1-6.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7cbfe6ab39

Comment 8 Fedora Update System 2018-05-20 19:06:37 UTC
mate-panel-1.20.1-6.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7cbfe6ab39

Comment 9 Fedora Update System 2018-05-28 16:26:08 UTC
mate-panel-1.20.1-6.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 James Szinger 2018-08-20 14:46:02 UTC
This seems to have reappeared in mate-panel-1.20.3-1.fc28.x86_64.  Please re-open.

Comment 11 Wolfgang Ulbrich 2018-08-20 14:57:53 UTC
Please provide additional information?
na-tray-applet isn't build in-process.
So this is another issue.

Comment 12 James Szinger 2018-08-21 14:33:53 UTC
mate-panel is currently consuming 1GB of memory:

$ ps v -C mate-panel
  PID TTY      STAT   TIME  MAJFL   TRS   DRS   RSS %MEM COMMAND
 2931 pts/9    Sl    17:02     13   587 1889564 1083460  3.2 mate-panel --replace

After restarting mate-panel, memory use drop to a more sane 42 MB:

$ ps v -C mate-panel
  PID TTY      STAT   TIME  MAJFL   TRS   DRS   RSS %MEM COMMAND
 2182 pts/9    Sl     0:01      6   587 840756 42360  0.1 mate-panel --replace

The changelog says:

$ rpm -q --changelog mate-panel|less
* Wed Aug 08 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.20.3-1
- update to 1.20.3 release
- build wnck and clock applet with-in-process, fix rhbz (#1590569)
- fix ld scriptlets in spec file

* Fri Jun 01 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.20.2-1
- update to 1.20.2

* Sun May 20 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.20.1-7
- switch back to build applets out of process


[snip]

* Tue Feb 13 2018 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.20.0-2
- build applets as in-process for better HDPI support
- drop IconCache rpm scriplet

I was experiencing the memory leak from 1.20.0-2 until it was fixed in 1.20.1-7.  It has now returned.

It could be a separate bug, but the symptoms appear the same for me, so I decided to comment on this bug.


Note You need to log in before you can comment on or make changes to this bug.